<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Template &#8212; jetset 1.0.a documentation</title>
    <link rel="stylesheet" href="../_static/bootstrap-sphinx.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '1.0.a',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true,
        SOURCELINK_SUFFIX: '.txt'
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <script type="text/javascript" src="../_static/js/jquery-1.11.0.min.js"></script>
    <script type="text/javascript" src="../_static/js/jquery-fix.js"></script>
    <script type="text/javascript" src="../_static/bootstrap-3.3.7/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="../_static/bootstrap-sphinx.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
<meta charset='utf-8'>
<meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'>
<meta name='viewport' content='width=device-width, initial-scale=1.0, maximum-scale=1'>
<meta name="apple-mobile-web-app-capable" content="yes">

  </head>
  <body>

  <div id="navbar" class="navbar navbar-inverse navbar-default navbar-fixed-top">
    <div class="container">
      <div class="navbar-header">
        <!-- .btn-navbar is used as the toggle for collapsed navbar content -->
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".nav-collapse">
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="../index.html"><span><img src="../_static/logo_small_transp.png"></span>
          JetSeT</a>
        <span class="navbar-text navbar-version pull-left"><b>1.0</b></span>
      </div>

        <div class="collapse navbar-collapse nav-collapse">
          <ul class="nav navbar-nav">
            
            
              <li class="dropdown globaltoc-container">
  <a role="button"
     id="dLabelGlobalToc"
     data-toggle="dropdown"
     data-target="#"
     href="../index.html">JetSeT <b class="caret"></b></a>
  <ul class="dropdown-menu globaltoc"
      role="menu"
      aria-labelledby="dLabelGlobalToc"><ul>
<li class="toctree-l1"><a class="reference internal" href="../user_guide/user_guide.html">user guide</a><ul>
<li class="toctree-l2"><a class="reference internal" href="../user_guide/user_guide.html#content">Content</a></li>
</ul>
</li>
</ul>
</ul>
</li>
              
                <li class="dropdown">
  <a role="button"
     id="dLabelLocalToc"
     data-toggle="dropdown"
     data-target="#"
     href="#">Page <b class="caret"></b></a>
  <ul class="dropdown-menu localtoc"
      role="menu"
      aria-labelledby="dLabelLocalToc"><ul>
<li><a class="reference internal" href="#">Template</a></li>
</ul>
</ul>
</li>
              
            
            
              
                
              
            
            
            
            
              <li class="hidden-sm">
<div id="sourcelink">
  <a href="../_sources/api/jetset.template_model.Template.rst.txt"
     rel="nofollow">Source</a>
</div></li>
            
          </ul>

          
            
<form class="navbar-form navbar-right" action="../search.html" method="get">
 <div class="form-group">
  <input type="text" name="q" class="form-control" placeholder="Search" />
 </div>
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form>
          
        </div>
    </div>
  </div>

<div class="container">
  <div class="row">
      <div class="col-md-3">
        <div id="sidebar" class="bs-sidenav" role="complementary"><ul>
<li><a class="reference internal" href="#">Template</a></li>
</ul>

<form action="../search.html" method="get">
 <div class="form-group">
  <input type="text" name="q" class="form-control" placeholder="Search" />
 </div>
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form>
        </div>
      </div>
    <div class="col-md-9 content">
      
  <div class="section" id="template">
<h1>Template<a class="headerlink" href="#template" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="jetset.template_model.Template">
<em class="property">class </em><code class="descname">Template</code><span class="sig-paren">(</span><em>template_type</em>, <em>z=None</em>, <em>nu_size=100</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/template_model.html#Template"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.template_model.Template" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal"><span class="pre">object</span></code></p>
<p>Class to handle spectral templates</p>
<p class="rubric">Methods Summary</p>
<table border="1" class="longtable docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><a class="reference internal" href="#jetset.template_model.Template.PlotModel" title="jetset.template_model.Template.PlotModel"><code class="xref py py-obj docutils literal"><span class="pre">PlotModel</span></code></a>(Plot[,&nbsp;clean,&nbsp;autoscale])</td>
<td></td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="#jetset.template_model.Template.eval" title="jetset.template_model.Template.eval"><code class="xref py py-obj docutils literal"><span class="pre">eval</span></code></a>([fill_SED,&nbsp;nu,&nbsp;get_model,&nbsp;loglog])</td>
<td>Evaluates the Template for the current parameters values</td>
</tr>
<tr class="row-odd"><td><a class="reference internal" href="#jetset.template_model.Template.get_Lum" title="jetset.template_model.Template.get_Lum"><code class="xref py py-obj docutils literal"><span class="pre">get_Lum</span></code></a>(nuFnu_p)</td>
<td></td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="#jetset.template_model.Template.get_T_BBB" title="jetset.template_model.Template.get_T_BBB"><code class="xref py py-obj docutils literal"><span class="pre">get_T_BBB</span></code></a>()</td>
<td></td>
</tr>
<tr class="row-odd"><td><a class="reference internal" href="#jetset.template_model.Template.load_teplate_from_file" title="jetset.template_model.Template.load_teplate_from_file"><code class="xref py py-obj docutils literal"><span class="pre">load_teplate_from_file</span></code></a>(file_path)</td>
<td>Loads a template from a file</td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="#jetset.template_model.Template.log_func" title="jetset.template_model.Template.log_func"><code class="xref py py-obj docutils literal"><span class="pre">log_func</span></code></a>(nu_log)</td>
<td></td>
</tr>
<tr class="row-odd"><td><a class="reference internal" href="#jetset.template_model.Template.set_BBB_pars" title="jetset.template_model.Template.set_BBB_pars"><code class="xref py py-obj docutils literal"><span class="pre">set_BBB_pars</span></code></a>(fit_model)</td>
<td></td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="#jetset.template_model.Template.set_Lum" title="jetset.template_model.Template.set_Lum"><code class="xref py py-obj docutils literal"><span class="pre">set_Lum</span></code></a>(nuFnu_p)</td>
<td></td>
</tr>
<tr class="row-odd"><td><a class="reference internal" href="#jetset.template_model.Template.set_host_pars" title="jetset.template_model.Template.set_host_pars"><code class="xref py py-obj docutils literal"><span class="pre">set_host_pars</span></code></a>(fit_model)</td>
<td></td>
</tr>
</tbody>
</table>
<p class="rubric">Methods Documentation</p>
<dl class="method">
<dt id="jetset.template_model.Template.PlotModel">
<code class="descname">PlotModel</code><span class="sig-paren">(</span><em>Plot</em>, <em>clean=False</em>, <em>autoscale=False</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/template_model.html#Template.PlotModel"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.template_model.Template.PlotModel" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="jetset.template_model.Template.eval">
<code class="descname">eval</code><span class="sig-paren">(</span><em>fill_SED=True</em>, <em>nu=None</em>, <em>get_model=False</em>, <em>loglog=False</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/template_model.html#Template.eval"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.template_model.Template.eval" title="Permalink to this definition">¶</a></dt>
<dd><p>Evaluates the Template for the current parameters values</p>
</dd></dl>

<dl class="method">
<dt id="jetset.template_model.Template.get_Lum">
<code class="descname">get_Lum</code><span class="sig-paren">(</span><em>nuFnu_p</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/template_model.html#Template.get_Lum"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.template_model.Template.get_Lum" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="jetset.template_model.Template.get_T_BBB">
<code class="descname">get_T_BBB</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/template_model.html#Template.get_T_BBB"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.template_model.Template.get_T_BBB" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="jetset.template_model.Template.load_teplate_from_file">
<code class="descname">load_teplate_from_file</code><span class="sig-paren">(</span><em>file_path</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/template_model.html#Template.load_teplate_from_file"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.template_model.Template.load_teplate_from_file" title="Permalink to this definition">¶</a></dt>
<dd><p>Loads a template from a file</p>
</dd></dl>

<dl class="method">
<dt id="jetset.template_model.Template.log_func">
<code class="descname">log_func</code><span class="sig-paren">(</span><em>nu_log</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/template_model.html#Template.log_func"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.template_model.Template.log_func" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="jetset.template_model.Template.set_BBB_pars">
<code class="descname">set_BBB_pars</code><span class="sig-paren">(</span><em>fit_model</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/template_model.html#Template.set_BBB_pars"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.template_model.Template.set_BBB_pars" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="jetset.template_model.Template.set_Lum">
<code class="descname">set_Lum</code><span class="sig-paren">(</span><em>nuFnu_p</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/template_model.html#Template.set_Lum"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.template_model.Template.set_Lum" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="jetset.template_model.Template.set_host_pars">
<code class="descname">set_host_pars</code><span class="sig-paren">(</span><em>fit_model</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/template_model.html#Template.set_host_pars"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.template_model.Template.set_host_pars" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>


    </div>
      
  </div>
</div>
<footer class="footer">
  <div class="container">
    <p class="pull-right">
      <a href="#">Back to top</a>
      
    </p>
    <p>
        &copy; Copyright 2018, andrea tramacere.<br/>
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.6.6.<br/>
    </p>
  </div>
</footer>
  </body>
</html>